Subject: bug#13447: ln "" foo gives misleading error message

From: Jim Meyering <[email-masked]>
Date: Tue, 15 Jan 2013 10:58:36 +0100

Bob Proulx wrote:
> Jim Meyering wrote:
>> Pádraig Brady wrote:
>> > Interestingly I notice that solaris for example allows a NULL old_path.
>>
>> That Solaris behavior is contrary to POSIX 2008
>> http://pubs.opengroup.org/onlinepubs/9699919799/functions/symlink.html
>
> Where does it say this?  I read it through in detail but I didn't see
> that it required a diagnostic to be emitted in the case that value is
> am empty string.  What did I miss?

Oh!  You're right.  Thanks for pointing that out.
It's only the source (2nd argument) to symlink that may not
be the empty string.

  ERRORS

      These functions shall fail if:

      [EACCES]
      ...
      [ENOENT]
          A component of path2 does not name an existing file or path2 is
          an empty string.

There is no restriction on "path1".